Subject: Re: [mpls] Way to progress draft-ietf-mpls-ldp-ipv6 (short wglc closed)

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 17 Aug 2014 17:05:13 +0100

Loa,

Thank you for bringing this to the attention of the working group.

Of course, concerns that there may be problems with a specification are very
important. And, furthermore, worries that a new draft may interact badly with a
published specification need to be thought through.

However, there are a few points of process here:

- The IETF does not evaluate conformance to IETF specifications.
  There are test labs that do this, and operators will make their
  own evaluations.
- Private comments can't have a lot of impact on a working group
  last call. If there are private comments that the chairs consider to 
  be actionable, they may bring them to the list as part of the last
  call, but in this case the comments don't appear to contain anything
  that anyone can work on.
- Empty "there is a problem" comments are actually disruptive to
  progress in the IETF. They raise the worry level, but don't supply
  something that we can address. In fact, they harmful because we
  can't even refute the comments. So I must ask that if you have a
  concern about an RFC or an Internet-Draft you substantiate your
  issue, or not raise it at all.

So, Loa, I think you have been really generous in offering until September 1st
for your anonymous correspondent to supply more information. You *are* right to
spend some time trying to understand what the issue is, but you do not currently
have anything (as far as I can see) that justifies holding up a working group
draft. I would like to see the issue raised publically within the next few days
(it is surely as simple as a sequence of message exchanges in a particular
topology), and I would like to see the working group work move forward without
further delay.

Thanks,
Adrian

> Working Group,
> 
> During what we thought would be a short wglc on draft-ietf-mpls-ldp-ipv6
> http://www.ietf.org/mail-archive/web/mpls/current/msg12464.html
> we had a comment that stopped us from continuing progressing the
> draft.
> 
> The short working group last call is now closed!
> 
> The comment we refer to was raised in a private mail to the working
> group chairs and the draft authors.
> 
> It says that there are a problem with some RFC 5036 non-compliant
> implementations deployed and draft-ietf-mpls-ldp-ipv6. There is no
> detailed description of the exact problems.
> 
> We strongly encourage the people that made the comment(s) to write-up
> the problem, either as
> 
> - a new draft (preferred); or
> - in a mail to the working group mailing list
> 
> Once we an agreement to write a new draft or the write-up to the
> mailing, we will continue to ask the working group to see if we
> can agree to a way to progress. We like to see this
> write-up before September 1. Failing this we will continue to
> progress the draft-ietf-mpls-ldp-ipv6 as is.
> 
> /Loa
> for the working group chairs

---

From: Loa Andersson <[email-masked]>
Date: Sun, 17 Aug 2014 18:41:32 +0200

Adrian,

I'm not happy delay things unless necessary. What I did was to use my
normal method to allocate time - allow for two weeks and then go to
the next Monday.

However I agree with you about the core of your message - the comments
that were made private to the wg chairs needs to be brought out in the
open. I hope that all the time I allowed for is not necessary.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64